﻿@model RoomVM

@{
    ViewData["Title"] = "Index";
}


@if (Model.Rooms is null)
{
    <div class="alert-info">
        <br />
        <h3>Unfortunatly no room availble for this period</h3>
        <br />
        <h3>Please try with other dates</h3>
    </div>
    <br />
    <div class="align-content-center">
        <a class="btn" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
    </div>
}
else
{
    <!--Prends la location du premier objet (qui est la même partout)-->
    <h1>Rooms available in @Html.DisplayFor(model => model.Rooms.First().Hotel.Location)</h1>

        <table class="table">
            <thead>
                <tr>
                    <th>
                        Hotel
                    </th>
                    <th>
                        Stars
                    </th>
                    <th>
                        Type
                    </th>
                    <th>
                        Description
                    </th>
                    <th>
                        HasTV
                    </th>
                    <th>
                        HasHairDryer
                    </th>
                    <th>
                        Price per night
                    </th>
                    <th>
                        Pictures
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>

                @foreach (var item in Model.Rooms)
                {
                    <tr>
                        <td>
                            @Html.ActionLink(item.Hotel.Name, "Details", "Hotels", new { id = item.IdHotel, dateStart = Model.DateStart, dateEnd = Model.DateEnd })
                        </td>
                        <td>
                            @for (int i = 0; i < item.Hotel.Stars; i++)
                            {
                                <t>&#x2B50</t>
                            }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.RoomType.Description)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Description)
                        </td>
                        <td>
                            @if (item.HasTV)
                            {
                                <t>&#x2705</t>
                            }
                        </td>
                        <td>
                            @if (item.HasHairDryer)
                            {
                                <t>&#x2705</t>
                            }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Price) CHF
                        </td>
                        <td>
                            @foreach (var picture in item.Pictures)
                            {
                                <a href="@Html.DisplayFor(modelItem => picture)">
                                    <img src="@Html.DisplayFor(modelItem => picture)" alt="Picture" class="mini" />
                                </a>
                            }
                        </td>
                        <td>
                            @Html.ActionLink("Reserve", "Index", "Reservation", new { id = item.IdRoom, dateStart = Model.DateStart, dateEnd = Model.DateEnd, price = item.Price })
                        </td>
                    </tr>
                }


            </tbody>
        </table>
}
